Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class AutoinventoryPluginManager

    java.lang.Object
      net.hyperic.hq.product.PluginManager
          net.hyperic.hq.product.AutoinventoryPluginManager

public class AutoinventoryPluginManager
extends PluginManager

Field Summary

Fields inherited from class net.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`AutoinventoryPluginManager()`
`AutoinventoryPluginManager(java.util.Properties props)`

Method Summary
`void` | `addServiceConfig(java.lang.String type, ConfigResponse config)`
`void` | `endScan()`
`java.lang.String` | `getName()`
`java.util.Map` | `getNotes()` Table for plugins to share discovery data.
`java.util.List` | `getServiceConfigs(java.lang.String type)`

Methods inherited from class net.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, init, isPropertyEnabled, isPropertyEnabled, mergeConfigSchema, registerPlugin, removePlugin, setPluginInfo, shutdown, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoinventoryPluginManager

    public AutoinventoryPluginManager()

### AutoinventoryPluginManager

    public AutoinventoryPluginManager(java.util.Properties props)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `PluginManager`

### addServiceConfig

    public void addServiceConfig(java.lang.String type,
                                 ConfigResponse config)

### getServiceConfigs

    public java.util.List getServiceConfigs(java.lang.String type)

### getNotes

    public java.util.Map getNotes()

  Table for plugins to share discovery data. This table is cleared before each scan is run.

### endScan

    public void endScan()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.